# AODataKeySetLocalToGlobalMapping

Add a local to global mapping for a key in the in the database

### Synopsis

    #include "petscao.h"
    PetscErrorCode AODataKeySetLocalToGlobalMapping(AOData aodata,const char name[],ISLocalToGlobalMapping map)

Not collective

### Input Parameters

| aodata | - the database
| name | - the name of the key
| map | - local to global mapping

### Keywords

database additions

### See Also

AODataKeyGetLocalToGlobalMapping()

Level:advanced
Location:src/dm/ao/interface/aodata.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages